<?php
class SMS
{
	function get_data($Data) {
		$url = "http://panel.behinsms.com/smsws/HttpService?";
		 $ch = curl_init();
		 curl_setopt($ch, CURLOPT_URL, $url . $Data);
		 curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
		 curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, $timeout);
		 $data = curl_exec($ch);
		 curl_close($ch);
		return $data;
	}
	
	function SendArray($UserName, $Password, $RecipientNumber, $Message, $SpecialNumber, $IsFlash, $CheckingMessageID) {
		$Number = "";
		$chkMessageID = "";
		foreach ($RecipientNumber as $item) {
			$Number = $Number . $item . ",";
		}

		foreach ($CheckingMessageID as $item) {
			$chkMessageID = $chkMessageID . $item . ",";
		}

		 return $this->get_data("service=SendArray&UserName=" . urlencode($UserName) . "&Password=" . urlencode($Password) . "&To=" . urlencode(rtrim($Number,",")) . "&Message=" . urlencode($Message) .
		 "&From=" . urlencode($SpecialNumber) . "&Flash=" . urlencode(($IsFlash ? "true" : "false")) . "&chkMessageId=" . urlencode(rtrim($chkMessageID,",")));
	}

	function SendArraySchedule($UserName, $Password, $RecipientNumber, $Message, $SpecialNumber, $IsFlash, $Year, $Month, $Day, $Hour, $Minute) {
		$Number = "";
		foreach ($RecipientNumber as $item) {
			$Number = $Number . $item . ",";
		}
		return $this->get_data("service=SendArraySchedule&UserName=" . urlencode($UserName) . "&Password=" . urlencode($Password) . "&To=" . urlencode(rtrim($Number,",")) . "&Message=" . urlencode($Message) .
		"&From=" . urlencode($SpecialNumber) . "&Flash=" . urlencode(($IsFlash ? "true" : "false")) . "&Year=" . urlencode($Year) . "&Month=" . urlencode($Month) . "&Day=" . urlencode($Day) . "&Hour=" . urlencode($Hour) . "&Minute=" . urlencode($Minute));
	}

	function GetMessageID($UserName, $Password, $CheckingMessageID) {
		$chkMessageID = "";
		foreach ($CheckingMessageID as $item) {
			$chkMessageID = $chkMessageID . $item . ",";
		}
		return $this->get_data("service=GetMessageID&UserName=" . urlencode($UserName) . "&Password=" . urlencode($Password) . "&chkMessageId=" . urlencode(rtrim($chkMessageID,",")));
	}

	function GetMessageStatus($UserName, $Password, $MessageID) {
		$message = "";
		foreach ($MessageID as $item) {
			$message = $message . $item . ",";
		}
		return $this->get_data("service=GetMessageStatus&UserName=" . urlencode($UserName) . "&Password=" .  urlencode($Password) . "&MessageID=" .  urlencode(rtrim($message,",")));
	}

	function GetNumberGroupData($UserName, $Password) {
		$result = $this->get_data("service=GetNumberGroupData&UserName=" . urlencode($UserName) . "&Password=" . urlencode($Password));
		return(json_decode($result));
	}


	function SendNumberGroup($UserName, $Password, $NumberGroupID, $Message, $SpecialNumber, $IsFlash, $DontSendToRepeatedNumber) {
		$number = "";
		foreach ($NumberGroupID as $item) {
			$number = $number . $item . ",";
		}
		return $this->get_data("service=SendNumberGroup&UserName=" . urlencode($UserName) . "&Password=" . urlencode($Password) . "&NumberGroupID=" . urlencode(rtrim($number,",")) . "&Message=" . urlencode($Message) .
		"&From=" . urlencode($SpecialNumber) . "&Flash=" . urlencode(($IsFlash ? "true" : "false")) . "&DontSendRepeat=" . urlencode(($DontSendToRepeatedNumber ? "true" : "false")));
	}

	function SendNumberGroupSchedule($UserName, $Password, $NumberGroupID, $Message, $SpecialNumber, $IsFlash, $DontSendToRepeatedNumber, $Year, $Month, $Day, $Hour, $Minute) {
		$number = "";
		foreach ($NumberGroupID as $item) {
			$number = $number . $item . ",";
		}
		return $this->get_data("service=SendNumberGroupSchedule&UserName=" . urlencode($UserName) . "&Password=" . urlencode($Password) . "&NumberGroupID=" . urlencode(rtrim($number,",")) . "&Message=" . urlencode($Message) .
			"&From=" . urlencode($SpecialNumber) . "&Flash=" . urlencode(($IsFlash ? "true" : "false")) . "&DontSendRepeat=" . urlencode(($DontSendToRepeatedNumber ? "true" : "false")) . "&Year=" . urlencode($Year) . "&Month=" 
			. urlencode(Month) . "&Day=" . urlencode($Day) . "&Hour=" . urlencode($Hour) . "&Minute=" . urlencode($Minute));
	}

	function InsertNumberInNumberGroup($UserName, $Password, $NumberGroupID, $PersonNumber, $PersonName) {
		$person = "";
		$number = "";
		
		foreach ($PersonNumber as $item) {
			$number = $number . $item . ",";
		}
		foreach ($PersonName as $item) {
			$person = $person . $item . ",";
		}
		return $this->get_data("service=InsertNumberInNumberGroup&UserName=" . urlencode($UserName) . "&Password=" . urlencode($Password) . "&NumberGroupID=" . urlencode($NumberGroupID) . "&PersonNumber=" . urlencode(rtrim($number,",")) . "&PersonName=" . urlencode(rtrim($person,",")));
	}

	function GetInboxMessage($UserName, $Password, $NumberOfMessage) {
		$result = $this->get_data("service=GetInboxMessage&UserName=" . urlencode($UserName) . "&Password=" . urlencode($Password) . "&NumberOfMessage=" . urlencode($NumberOfMessage));
		return(json_decode($result));
	}

	function GetInboxMessageWithNumber($UserName, $Password, $NumberOfMessage, $SpecialNumber) {
		$result =  $this->get_data("service=GetInboxMessageWithNumber&UserName=" . urlencode($UserName) . "&Password=" . urlencode($Password) . "&NumberOfMessage=" . urlencode($NumberOfMessage) . "&From=" . urlencode($SpecialNumber));
		return(json_decode($result));
	}

	function  GetInboxMessageWithInboxID($UserName, $Password, $NumberOfMessage, $InboxID, $IsReaded) {
		$result= $this->get_data("service=GetInboxMessageWithInboxID&UserName=" . urlencode($UserName) . "&Password=" . urlencode($Password) . "&NumberOfMessage=" . urlencode($NumberOfMessage) .
		"&InboxID=" . urlencode($InboxID) . "&IsReaded=" . urlencode(($IsReaded ? "true" : "false")));
		return(json_decode($result));
	}

	function GetCredit($UserName, $Password) {
		return $this->get_data("service=GetCredit&UserName=" . urlencode($UserName) . "&Password=" . urlencode($Password));
	}

	function GetUserInfo($UserName, $Password) {
		$result = $this->get_data("service=GetUserInfo&UserName=" . urlencode($UserName) . "&Password=" . urlencode($Password));
		return(json_decode($result));
	}
} 
?>